#ifndef TILE_IO_ACCEPTOR_H
#define TILE_IO_ACCEPTOR_H

#pragma once

#include "tile/base/net/endpoint.h"
#include "tile/io/descriptor.h"

namespace tile {
class Acceptor {
public:
    ~Acceptor()         = default;
    virtual void Stop() = 0;
    virtual void Join() = 0;
};
}// namespace tile

#endif// TILE_IO_ACCEPTOR_H
